program Krug2ZadatakA1;
var i,j,max:integer;
    z: int64;
    a:array[1..3] of int64;
    b:array[1..3] of int64;
    c:array[1..3] of int64;

procedure swapme(var x, y: int64);
var m: int64;
begin
   m:=x;
   x:=y;
   y:=m;
end;

begin
  read ( a[1],a[2],a[3]);
   max:=0;
  for i:= 1 to 3 do
  begin
       z:= a[i];
       b[i]:=0;
       while z>0 do
       begin
            z:=z div 10;
            b[i]:=b[i]+1;
       end;
     if b[i] > max then max:= b[i];
   end;
  for i:=1 to 3 do
  begin
     c[i]:=a[i];
     for j:=1 to max-b[i] do
     c[i]:= c[i]*10;
  end;
  if c[1]<c[2] then
  begin
    swapme(a[1],a[2]);

    swapme(b[1],b[2]);

    swapme(c[1],c[2]);
  end ;

  if c[2]<c[3] then
  begin
    swapme(a[2],a[3]);

    swapme(b[2],b[3]);

    swapme(c[2],c[3]);
  end;

  if c[1]<c[2] then
  begin
    swapme(a[1],a[2]);

    swapme(b[1],b[2]);
  end;

  write (a[1],a[2],a[3]);
end.